<!DOCTYPE html>
<html>
<head>
  <style>
    .error {
        color: red;
    }
  </style>
  <script type="text/javascript" src="https://cdn.jsdelivr.net/npm//vega@5"></script>
  <script type="text/javascript" src="https://cdn.jsdelivr.net/npm//vega-lite@4.17.0"></script>
  <script type="text/javascript" src="https://cdn.jsdelivr.net/npm//vega-embed@6"></script>
</head>
<body>
  <div id="vis"></div>
  <script>
    (function(vegaEmbed) {
      var spec = {"config": {"view": {"continuousWidth": 400, "continuousHeight": 300}}, "data": {"name": "data-d1398877367cc708549a68a61cdda4a1"}, "mark": {"type": "line", "interpolate": "catmull-rom", "tooltip": true}, "encoding": {"x": {"field": "created_at", "timeUnit": "monthdate", "type": "temporal"}, "y": {"field": "scores", "type": "quantitative"}}, "height": 600, "selection": {"selector001": {"type": "interval", "bind": "scales", "encodings": ["x", "y"]}}, "width": 800, "$schema": "https://vega.github.io/schema/vega-lite/v4.17.0.json", "datasets": {"data-d1398877367cc708549a68a61cdda4a1": [{"Unnamed: 0": 0, "created_at": "2022-08-20T11:11:37", "text": "RT @pywarias: I will be a speaker at @GitLab Commit 2022, September 22 in New York City. I will live-demo how #TheOneDevOpsPlatform helps y\u2026", "sentiment": "Positive", "scores": 0.5312567353248596}, {"Unnamed: 0": 1, "created_at": "2022-08-20T00:22:24", "text": "i am afraid I will run out of tweets. scary! #TheOneDevOpsPlatform", "sentiment": "Negative", "scores": 0.8204749226570129}, {"Unnamed: 0": 2, "created_at": "2022-08-20T00:15:08", "text": "Quite down, tired and yawning #theonedevopsplatform", "sentiment": "Negative", "scores": 0.7721962332725525}, {"Unnamed: 0": 3, "created_at": "2022-08-19T22:29:02", "text": "RT @pywarias: I will be a speaker at @GitLab Commit 2022, September 22 in New York City. I will live-demo how #TheOneDevOpsPlatform helps y\u2026", "sentiment": "Positive", "scores": 0.5312567353248596}, {"Unnamed: 0": 4, "created_at": "2022-08-19T21:54:26", "text": "RT @pywarias: I will be a speaker at @GitLab Commit 2022, September 22 in New York City. I will live-demo how #TheOneDevOpsPlatform helps y\u2026", "sentiment": "Positive", "scores": 0.5312567353248596}, {"Unnamed: 0": 5, "created_at": "2022-08-19T16:47:43", "text": "I will be a speaker at @GitLab Commit 2022, September 22 in New York City. I will live-demo how #TheOneDevOpsPlatform helps you to consolidate your DevOps initiatives and eliminate digital duct tape. Reserve your spot: https://t.co/we7eENCPrd", "sentiment": "Positive", "scores": 0.6725693941116333}, {"Unnamed: 0": 6, "created_at": "2022-08-19T16:22:41", "text": "This is another one for #TheOneDevOpsPlatform", "sentiment": "Positive", "scores": 0.5779518485069275}, {"Unnamed: 0": 7, "created_at": "2022-08-18T23:43:28", "text": "43\n testing pandas streamlit #theonedevopsplatform", "sentiment": "Neutral", "scores": 0.8775060176849365}, {"Unnamed: 0": 8, "created_at": "2022-08-18T23:42:35", "text": "42\n testing pandas streamlit #theonedevopsplatform", "sentiment": "Neutral", "scores": 0.8752736449241638}, {"Unnamed: 0": 9, "created_at": "2022-08-18T23:40:09", "text": "41\n testing pandas streamlit #theonedevopsplatform", "sentiment": "Neutral", "scores": 0.8715269565582275}]}};
      var embedOpt = {"mode": "vega-lite"};

      function showError(el, error){
          el.innerHTML = ('<div class="error" style="color:red;">'
                          + '<p>JavaScript Error: ' + error.message + '</p>'
                          + "<p>This usually means there's a typo in your chart specification. "
                          + "See the javascript console for the full traceback.</p>"
                          + '</div>');
          throw error;
      }
      const el = document.getElementById('vis');
      vegaEmbed("#vis", spec, embedOpt)
        .catch(error => showError(el, error));
    })(vegaEmbed);

  </script>
</body>
</html>